Subject: printableString in LDAPv3

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 15 May 2001 19:04:07 -0700

The LDAPv3 specification is broken:

6.29. Printable String

   ( 1.3.6.1.4.1.1466.115.121.1.44 DESC 'Printable String' )

   The encoding of a value in this syntax is the string value itself.

The above is fine, but:
   PrintableString is limited to the characters in production p of
   section 4.1.

is broken as the production p is not consistent with ASN.1
specifications of PrintableString.  I suggest second sentence
be deleted.

---

From: Bruce Greenblatt <[email-masked]>
Date: Tue, 15 May 2001 19:16:47 -0700

>    PrintableString is limited to the characters in production p of
Kurt,

For reference, from RFC 2252:
p               = a / d / """ / "(" / ")" / "+" / "," /
                  "-" / "." / "/" / ":" / "?" / " "

where a indicates upper and lowercase letters, and d indicates the decimal 
digits.  Burt Kaliski's layman's guide to ASN.1 says:

A, B, ..., Z
a, b, ..., z
0, 1, ..., 9
(space) ' ( ) + , - . / : = ?

So, if the Layman's Guide is right, you are saying that the presentation p 
in RFC 2252 is wrong, and should change to:

p               = a / d / "'" / "(" / ")" / "+" / "," /
                  "-" / "." / "/" / ":" / "?" / " " / "="

Do I have it right?

Bruce

==============================================
Bruce Greenblatt, Ph. D.
Directory Tools and Application Services, Inc.
http://www.directory-applications.com

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 15 May 2001 19:47:16 -0700

At 07:16 PM 5/15/01, Bruce Greenblatt wrote:
>So, if the Layman's Guide is right,

it is

>you are saying that the presentation p in RFC 2252 is wrong, and should change to:

Changing the production p is one approach and likely appropriate
if the other uses of this production also need the same fix.
We should carefully examine the uses of this production.

Kurt